org.deidentifier.arx.test

## Class AbstractTestUtilityMetrics

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.AbstractTestUtilityMetrics

Direct Known Subclasses:
  AbstractTestUtilityEstimation, TestUtilityMetrics

    public abstract class AbstractTestUtilityMetrics
    extends AbstractTest

Test for utility metrics.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase` Represents a test case.

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`AbstractTestUtilityMetrics(AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase testCase)` Creates a new instance.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Data` `getDataObject(AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase testCase)` Returns the data object for the test case.
`void` `setUp()`
`void` `test()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTestUtilityMetrics

    public AbstractTestUtilityMetrics(AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase testCase)

Creates a new instance.

Parameters:
  `testCase` -

### Method Detail

#### getDataObject

    public static Data getDataObject(AbstractTestUtilityMetrics.ARXUtilityMetricsTestCase testCase)
                              throws java.io.IOException

Returns the data object for the test case.

Parameters:
  `testCase` -
Returns:
Throws:
  `java.io.IOException`

#### setUp

    public void setUp()

Overrides:
  `setUp` in class `AbstractTest`

#### test

    public void test()
              throws java.io.IOException

Throws:
  `java.io.IOException`